#
# spec file for package mysql (Version 3.23.55)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gcc-c++ libstdc++-devel lthreads perl tcpd
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm tcpd

Name:         mysql
License:      GPL, Other License(s), see package
Group:        Productivity/Databases/Servers
Autoreqprov:  on
Version:      3.23.55
Release:      32
URL:          http://www.mysql.com
Summary:      A true multi-user, multi-threaded SQL database server
PreReq:       /usr/sbin/useradd fileutils %install_info_prereq %fillup_prereq %insserv_prereq
Source:       http://www.mysql.com/Downloads/MySQL-3.23/%{name}-%{version}.tar.bz2
Source1:      rc.mysql
Source2:      README.SuSE
# manual can be found in http://mysql.linux.cz/Downloads/Manual/
Source3:      manual.pdf-2002-07-26.bz2
Patch:        %{name}-%{version}-install_db.patch
Patch3:       %{name}-%{version}-log-rotate.patch
Patch4:       %{name}-%{version}-cnf.patch
#Patch5:       %{name}-%{version}-x86_64.patch
Patch6:       %{name}-%{version}-auto.patch
Patch7:       %{name}-%{version}-errno.patch
Patch8:       %{name}-%{version}-files.patch
Patch9:       %{name}-%{version}-acl.patch
Patch10:      %{name}-%{version}-hotcopy.patch
Patch11:      %{name}-%{version}-alter.patch
Patch12:      %{name}-%{version}-dns.patch
Patch13:      %{name}-%{version}-merge.patch
Patch14:      %{name}-%{version}-grant.patch
Patch15:      %{name}-%{version}-symlink.patch
Patch20:      mysql-create_func.patch 
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
SQL is the most popular database language in the world. MySQL is a
client/server implementation that consists of a server daemon mysqld
and many different client programs and libraries.

The main goals of MySQL are speed, robustness and ease of use. MySQL
was originally developed because the developers at TcX needed a SQL
server that could handle very large databases an order of magnitude
faster than what any database vendor could offer to them. They have now
been using MySQL since 1996 in an environment with more than 40
databases containing 10,000 tables, of which more than 500 have more
than 7 million rows. This is about 100 gigabytes of mission-critical
data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years. While
MySQL is still in development, it already offers a rich and highly
useful function set.

The official way to pronounce MySQL is "My Ess Que Ell" (Not
MY-SEQUEL).

This package does only contain the server-side programs.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package devel
Obsoletes:    mysqldev
Provides:     mysqldev
Requires:     mysql-client mysql-shared
License:      GPL, Other License(s), see package
Summary:      MySQL - Development header files and libraries
URL:          http://www.mysql.com
Group:        Development/Libraries/C and C++
Autoreqprov:  on

%description devel
This package contains the development header files and libraries
necessary to develop MySQL client applications.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package client
Obsoletes:    mysqclnt
Provides:     mysqclnt
License:      GPL, Other License(s), see package
Summary:      MySQL - Client
URL:          http://www.mysql.com
Group:        Productivity/Databases/Clients
Autoreqprov:  on

%description client
This package contains the standard MySQL clients.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package bench
Obsoletes:    mysqbnch
Provides:     mysqbnch
Requires:     mysql-client perl-Msql-Mysql-modules
License:      LGPL
Summary:      MySQL - Benchmarks
URL:          http://www.mysql.com
Group:        Productivity/Databases/Tools
Autoreqprov:  on

%description bench
This package contains MySQL benchmark scripts and data.

If you like to run these database benchmarks, start the script
"run-all-tests" in the directory /usr/share/sql-bench after starting
MySQL.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package shared
Obsoletes:    mysqllib
Provides:     mysqllib
Summary:      MySQL - Shared libraries
License:      GPL, Other License(s), see package
URL:          http://www.mysql.com
Group:        Development/Libraries/Other
Autoreqprov:  on

%description shared
This package contains the shared libraries (*.so*) which certain
languages and applications need to dynamically load and use MySQL



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package Max
Summary:      MySQL - server with Berkeley DB and Innodb support
License:      GPL, Other License(s), see package
URL:          http://www.mysql.com
Group:        Productivity/Databases/Servers
Requires:     mysql
Autoreqprov:  on

%description Max
An optional MySQL server binary that supports features like
transactional tables. To make use of these features, just install this
package in addition to the MySQL package.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%prep
%setup -q -n %{name}-%{version}
cp %{S:3} Docs/manual.pdf.bz2
bunzip2 Docs/manual.pdf.bz2
%patch
%patch3
%patch4
#%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14 -p1
%patch15 -p1
%patch20 -p1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --copy --force
aclocal
autoconf
automake
# Generate file reservedwords.texi from sql/lex.h
echo "@multitable @columnfractions .25 .25 .25 .25" >Docs/reservedwords.texi
x="@item"; n=4; a=""
for i in `sed -n '/symbols\[] *=/,/};/s=.*"\([[:alpha:]_]*\)".*=\1=p' sql/lex.h`; do
  a="$a$x @code{$i}"
  x=" @tab"
  let --n || { echo $a >>Docs/reservedwords.texi; a=""; x="@item"; n=4; }
done
echo $a >>Docs/reservedwords.texi
echo "@end multitable" >>Docs/reservedwords.texi
# For some platforms the berkeley DB backend does not work.
export BERKELEY="with"
%ifarch ppc ppc64 s390 s390x mips alpha x86_64 sparc hppa
export BERKELEY="without"
%endif
# Make the compile a function, since we have to do it twice
BuildMySQL() {
# The --enable-assembler simply does nothing on systems that do not
# support assembler speedups.
export CFLAGS="$RPM_OPT_FLAGS -DPIC -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS \
				-felide-constructors \
				-fno-exceptions \
				-fno-rtti \
				-fPIC -DPIC"
./configure \
	$* \
	--enable-assembler \
	--enable-large-files \
	--infodir=%{_infodir} \
	--libdir=%{_libdir} \
	--libexecdir=/usr/sbin \
	--localstatedir=/var/lib/mysql \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sysconfdir=/etc \
	--with-mysqld-user=mysql \
	--without-debug \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--with-extra-charsets=complex \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--with-libwrap
	# Add this for more debugging support
	# --with-debug
	# Add this for MyISAM RAID support:
	# --with-raid
	# benchdir does not fit in above model. Fix when we make a separate package
%ifarch s390 s390x
	# The atomic stuff doesn't work the way mySQL wants to use it
	# on s390, and s390x, so we have to make sure, that pthreads
	# mutexes are being used.
	ex config.h +/HAVE_ATOMIC_ADD/d +/HAVE_ATOMIC_SUB/d +w +q
%endif
	make benchdir=$RPM_BUILD_ROOT/usr/share/sql-bench
}
# Build the shared libraries and mysqld-max
BuildMySQL "--enable-shared \
			--enable-thread-safe-client \
			--${BERKELEY}-berkeley-db \
			--with-innodb \
			--with-mysqld-ldflags=-static \
			--with-server-suffix=-Max"
%ifnarch x86_64  
make test
%endif
# Clean up the BuildRoot first
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d -m 755 $RPM_BUILD_ROOT
# Save shared libraries and mysqld-max
mv sql/mysqld sql/mysqld-max
nm --numeric-sort sql/mysqld-max > sql/mysqld-max.sym
(cd libmysql/.libs; tar cf $RPM_BUILD_ROOT/shared-libs.tar *.so* *.lai)
(cd libmysql_r/.libs; tar rf $RPM_BUILD_ROOT/shared-libs.tar *.so* *.lai)
# Save manual to avoid rebuilding
mv Docs/manual.ps Docs/manual.ps.save
make clean
mv Docs/manual.ps.save Docs/manual.ps
# Now build the "normal" mysqld
BuildMySQL "--disable-shared \
			--with-mysqld-ldflags=-static \
			--with-client-ldflags=-static \
			--without-berkeley-db --without-innodb"
nm --numeric-sort sql/mysqld > sql/mysqld.sym
%ifnarch x86_64
make test
%endif

%install
/usr/sbin/useradd -r -o -g daemon -u 60 -s /bin/false -c "MySQL database admin" -d /var/lib/mysql mysql 2> /dev/null || :
# Create directory structure
DOC="Docs/INSTALL-BINARY INSTALL-SOURCE MIRRORS README"
DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/mysql
install -d -m 755 ${DOCDIR}/cnf
install -d -m 755 ${DOCDIR}/data
install -d -m 755 ${DOCDIR}/data/mysql
install -d -m 755 ${DOCDIR}/html
install -d -m 755 $RPM_BUILD_ROOT/usr/share/sql-bench
install -d -m 755 $RPM_BUILD_ROOT/etc/logrotate.d
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/var/lib/mysql
make install DESTDIR=$RPM_BUILD_ROOT benchdir_root=/usr/share/
# Install shared libraries
(cd $RPM_BUILD_ROOT/usr/%_lib; tar xf $RPM_BUILD_ROOT/shared-libs.tar "*.so*")
# install saved mysqld-max
install -m 755 sql/mysqld-max $RPM_BUILD_ROOT/usr/sbin/mysqld-max
# install symbol files ( for stack trace resolution)
install -m 644 sql/mysqld-max.sym $RPM_BUILD_ROOT%{_libdir}/mysql/mysqld-max.sym
install -m 644 sql/mysqld.sym $RPM_BUILD_ROOT%{_libdir}/mysql/mysqld.sym
# Preserve *.la from shared build
(cd $RPM_BUILD_ROOT%{_libdir}/mysql
 tar xf $RPM_BUILD_ROOT/shared-libs.tar "*.lai"
 for f in *.lai; do mv $f ${f%i}; done)
ln -fs libmysqlclient.so.10 $RPM_BUILD_ROOT%{_libdir}/libmysqlclient.so
(cd $RPM_BUILD_ROOT%{_libdir}/mysql; ln -fs ../libmysqlclient.so* .)
install -m 644 support-files/mysql-log-rotate $RPM_BUILD_ROOT/etc/logrotate.d/mysql
install -m 600 support-files/my-medium.cnf $RPM_BUILD_ROOT/etc/my.cnf
install -m 640 scripts/mysqlaccess.conf $RPM_BUILD_ROOT/etc/mysqlaccess.conf
install -m 644 ${DOC} ${DOCDIR}
install -m 644 %{SOURCE2} ${DOCDIR}
install -m 644 Docs/manual.pdf ${DOCDIR}
install -m 644 Docs/manual.txt ${DOCDIR}
install -m 644 Docs/manual.html ${DOCDIR}/html
install -m 644 Docs/manual_toc.html ${DOCDIR}/html
rm -f ${DOCDIR}/html/index.html
ln -s ./manual_toc.html ${DOCDIR}/html/index.html
install -m 644 support-files/my-*.cnf ${DOCDIR}/cnf
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/mysql
rm -f $RPM_BUILD_ROOT/sbin/rcmysql
ln -s ../../etc/init.d/mysql $RPM_BUILD_ROOT/usr/sbin/rcmysql
#install -m 755 scripts/mysql_install_db ${DOCDIR}

%pre
/usr/sbin/useradd -r -o -g daemon -u 60 -s /bin/false -c "MySQL database admin" -d /var/lib/mysql mysql 2> /dev/null || :
dbfile=var/mysql/mysql/db.ISM
olddir=var/mysql
newdir=var/lib/mysql
# Do the database files still belong to root (very old installation)?
# Change ownerships and notify user
if [ -O $dbfile ]
then
chown -Rv mysql:daemon var/mysql/
mkdir -p var/adm/notify/messages
echo 'The previously installed version of MySQL ran as user "root". Due
to security reasons, MySQL will now be started as user "mysql". The
ownerships of your existing database files have been adjusted accordingly.
If you are upgrading from a MySQL version <= 3.22.10 you should also
run the script /usr/bin/mysql_fix_privilege_tables. Otherwise you will
not be able to use the new GRANT command!
--------------------------------------------------------------------------
German Translation/Deutsche Fassung:
Die vorher installierte Version von MySQL lief unter der Benutzerkennung
"root". Aus Sicherheitsgrnden wird MySQL nun unter der Benutzerkennung
"mysql" gestartet. Die Ownerships Ihrer bestehenden Datenbankfiles wurden
entsprechend umgendert.
Bei einem Update von MySQL-Version <= 3.22.10 sollten Sie weiterhin
nun das Script /usr/bin/mysql_fix_privilege_tables ausfhren.
Anderenfalls knnen Sie nicht das neue "GRANT"-Kommando verwenden!' \
> var/adm/notify/messages/mysql-changes
fi
# Copy existing database files to the new location
# only if they do not exist yet!
if [ -d $olddir ] && ! [ -d $newdir ]
then
echo "Copying old database files to new location..."
cp -a $olddir $newdir || echo "Error while copying the files!"
mkdir -p var/adm/notify/messages
echo 'Starting with SuSE Linux 7.1, we moved the database files from
/var/mysql to /var/lib/mysql to better comply with the File System
Hierarchy Standard (FHS).
Your existing MySQL database files have been copied to the new location
/var/lib/mysql. If everything runs fine, you can delete the old files
below /var/mysql now.
--------------------------------------------------------------------------
German Translation/Deutsche Fassung:
Beginnend mit SuSE Linux 7.1 haben wir die MySQL Datenbanken von
/var/mysql nach /var/lib/mysql verschoben, um die Konventionen des
File System Hierarchy Standard (FHS) noch besser einzuhalten.
Ihre existierenden Datenbanken wurden in das neue Verzeichnis
/var/lib/mysql kopiert. Wenn alles wie bisher funktioniert, knnen
Sie nun die alten Dateien unter /var/mysql lschen.' \
>> var/adm/notify/messages/mysql-changes
fi

%post
%{fillup_and_insserv mysql}
%install_info --info-dir=%{_infodir} %{_infodir}/mysql.info.gz

%preun
%install_info --delete --info-dir=%{_infodir} %{_infodir}/mysql.info.gz

%postun
%{insserv_cleanup}

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config %attr(-, mysql, daemon) /etc/my.cnf
%config /etc/init.d/mysql
%config /etc/logrotate.d/mysql
%doc %{_defaultdocdir}/%{name}
%doc %{_infodir}/mysql.info.gz
%doc %{_mandir}/man1/isamchk.1.gz
%doc %{_mandir}/man1/isamlog.1.gz
%doc %{_mandir}/man1/mysql_zap.1.gz
%doc %{_mandir}/man1/mysqld.1.gz
%doc %{_mandir}/man1/mysqld_multi.1.gz
%doc %{_mandir}/man1/safe_mysqld.1.gz
/usr/bin/isamchk
/usr/bin/isamlog
/usr/bin/my_print_defaults
/usr/bin/myisamchk
/usr/bin/myisamlog
/usr/bin/myisampack
/usr/bin/mysql_convert_table_format
/usr/bin/mysql_fix_privilege_tables
/usr/bin/mysql_install_db
/usr/bin/mysql_setpermission
/usr/bin/mysql_zap
/usr/bin/mysqlbug
/usr/bin/mysqld_multi
/usr/bin/mysqlhotcopy
/usr/bin/mysqltest
/usr/bin/pack_isam
/usr/bin/resolve_stack_dump
/usr/bin/resolveip
/usr/bin/safe_mysqld
%{_libdir}/mysql/mysqld.sym
/usr/sbin/mysqld
/usr/sbin/rcmysql
/usr/share/mysql/
%attr(755,mysql,daemon)/var/lib/mysql

%files client
%defattr(-, root, root)
%config /etc/mysqlaccess.conf
%doc %{_mandir}/man1/mysql.1.gz
%doc %{_mandir}/man1/mysqlaccess.1.gz
%doc %{_mandir}/man1/mysqladmin.1.gz
%doc %{_mandir}/man1/mysqldump.1.gz
%doc %{_mandir}/man1/mysqlshow.1.gz
%doc %{_mandir}/man1/perror.1.gz
%doc %{_mandir}/man1/replace.1.gz
/usr/bin/msql2mysql
/usr/bin/mysql
/usr/bin/mysql_find_rows
/usr/bin/mysqlaccess
/usr/bin/mysqladmin
/usr/bin/mysqlbinlog
/usr/bin/mysqlcheck
/usr/bin/mysqldump
/usr/bin/mysqlimport
/usr/bin/mysqlshow
/usr/bin/perror
/usr/bin/replace

%files devel
%defattr(-, root, root)
/usr/bin/comp_err
/usr/bin/mysql_config
/usr/include/mysql/
%dir %{_libdir}/mysql
%{_libdir}/mysql/libmysqlclient.*a
%{_libdir}/libmysqlclient.so
%{_libdir}/mysql/libmysqlclient.so

%files bench
%defattr(-, root, root)
/usr/share/sql-bench

%files shared
%defattr(-, root, root)
%{_libdir}/libmysqlclient.so.*
%{_libdir}/mysql/libmysqlclient.so.*

%files Max
%defattr(-, root, root)
/usr/sbin/mysqld-max
%{_libdir}/mysql/mysqld-max.sym

%changelog -n mysql
* Thu Mar 17 2005 - mcihar@suse.cz
- fix several vulnerabilities (bug #71788, CAN-2005-0709, CAN-2005-0710 and CAN-2005-0711)
* Mon Oct 25 2004 - tcrhak@suse.cz
- fix for several vulnerabilities (bug #47135):
- ALTER TABLE ... RENAME checked CREATE/INSERT
  rights of the old table instead of the new one (patch alter)
- a buffer overrun in the mysql_real_connect function (patch dns)
- multiple threads ALTERing the same (or different) MERGE tables
  to change the UNION could cause the server to crash or stall (path merge)
- Privilege Escalation on GRANT ALL ON `Foo\_Bar` (patch grant)
- scripts mysqld_multi and mysqlbug allow local users
  to overwrite arbitrary files via a symlink attack (patch symlink)
- made mysqlhotcopy working again as it was broken by
  the upstream patch for a security problem (bug #46994, patch hotcopy)
* Wed Aug 18 2004 - tcrhak@suse.cz
- applied patch for a security hole in mysqlhotcopy (bug #43829)
* Tue Sep 16 2003 - tcrhak@suse.cz
- fixed a buffer overflow; patch acl, [bug #30893]
* Wed Jun 18 2003 - sf@suse.de
- disable tests on AMD64
* Tue May 27 2003 - tcrhak@suse.cz
- fix for world-writeable files bug (patch files)
  http://marc.theaimsgroup.com/?l=bugtraq&m=104715840202315&w=2
* Fri Mar 07 2003 - kukuk@suse.de
- Fix useradd options
* Sun Feb 23 2003 - tcrhak@suse.cz
- added %%fillup_prereq and %%insserv_prereq [bug #24039]
* Fri Feb 14 2003 - tcrhak@suse.cz
- updated to version 3.23.55
- updated the pdf manual to version 2002-07-26
- fixed script mysql_install_db to use mysql-max if present
  ( necessary if e.g. options concerning innodb are
  uncommented prior to starting mysqld )
- on start-up, detach from the terminal [bug #18440]
- added %%install_info macros
* Fri Jan 17 2003 - bg@suse.de
- Disabled berkeley db backend for hppa
* Mon Dec 02 2002 - ro@suse.de
- include errno.h
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sat Aug 24 2002 - kukuk@suse.de
- Disabled berkeley db backend for SPARC
* Mon Aug 19 2002 - bk@suse.de
- Update to 3.23.52, which is a bugfix release for 3.23.51. Fixes (trimmed):
  o Fixed security bug when having an empty database name in the user.db table.
  o Changed initialisation of RND() to make it less predicatable.
  o Fixed GROUP BY on result with expression that created a BLOB field.
  o Fixed thread bug in SLAVE START, SLAVE STOP and automatic repair of MyISAM
  tables that could cause table cache to be corrupted.
  o Fixed possible thread related key-cache-corruption problem with OPTIMIZE
  TABLE and REPAIR TABLE.
  o Fixed bug with creating an auto-increment value on second part of a UNIQUE()
  key where first part could contain NULL values.
  o Don't write slave-timeout reconnects to the error log.
  o Fixed bug with slave net read timeouting
  o Fixed a core-dump bug with MERGE tables and MAX() function.
  o Fixed bug in ALTER TABLE with BDB tables.
  o Fixed bug when logging LOAD DATA INFILE to binary log with no active database.
  o Fixed a bug in range optimiser (causing crashes).
  o Fixed possible problem in replication when doing DROP DATABASE on a database
  with InnoDB tables.
- add fileutils to PreReq and use echo instead of cat.
* Mon Aug 12 2002 - max@suse.de
- Using pthread mutexes instead of atomic_* on s390 and s390x,
  because mysql casts &int to (atomic_t *) when calling the atomic
  functions which breaks the alignment constraints of atomic_t.
* Tue Jul 23 2002 - kukuk@suse.de
- Fix useradd call
* Mon Jul 22 2002 - kukuk@suse.de
- Create user mysql
* Mon Jul 22 2002 - max@suse.de
- New version: 3.23.51.
- Init script doesn't source /etc/rc.config anymore [#17122].
- Disabled berkeley db backend for alpha and x86_64 as well.
- Still breaks on s390x, and x86_64.
* Fri Jun 14 2002 - meissner@suse.de
- Reenabled make test.
- Rerun auto* tools so libtool works on ppc64.
- Do not use the berkeley DB backend on s390,s390x,ppc,ppc64,axp,mips
  (needs to be fixed some time)
- Use generic AC_SYS_LARGEFILE macro.
- Do not use asm/atomic stuff on ppc64 (long vs int problem).
- Use CONFIG_SMP for other asm/atomic stuff instead of __SMP__.
* Mon May 27 2002 - meissner@suse.de
- Disabled make test for x86_64 for now.
- More %%_lib fixes, packaged libmysqlclient.so symlink into devel, the
  rest *.so.* into shared.
* Wed Apr 24 2002 - meissner@suse.de
- started x86_64 work. Implemented required fast mutex,
  now only the test suite fail.
* Fri Feb 15 2002 - grimmer@suse.de
- Update to 3.23.48 (bugfixes) - MySQL 3.23 is now considered
  STABLE!
  * Fixed bug in complicated join with const tables
  * Added internal safety checks for InnoDB
  * SHOW GRANTS now shows REFERENCES instead of REFERENCE
- use more libdir macros
- safe_mysqld logfile has been renamed from
  /var/lib/mysql/<hostname>.log to /var/lib/mysql/mysqld.log and
  is properly rotated by logrotate
- updated README.SuSE
* Wed Jan 30 2002 - grimmer@suse.de
- Update to 3.23.47 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.47.html
- re-enabled and adjusted inline-patch
- use libdir and prefix macros in configure call
* Thu Dec 20 2001 - grimmer@suse.de
- added /etc/logrotate.d/mysql
- added log-rotate.patch to fit SuSEs logrotating better
- added debugging symbols and /usr/bin/resolve_stack_dump
- reworked installation section in spec file (create all
  directories first)
* Mon Dec 17 2001 - grimmer@suse.de
- Update to 3.23.46 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.45.html
  http://www.mysql.com/doc/N/e/News-3.23.46.html
- Changed ldflags from "all-static" to "static" and make sure
  to archive *.lai files as well before recompiling (required
  to build Midgard), thanks to schwab@suse.de for the patch
- changed mysql-shared file list from /usr/lib/libmysqlclient.so*
  to /usr/lib/libmysqlclient.so.*
- removed START_MYSQL rc.config entry for SuSE Linux 8.0, adapted
  spec file to reflect this change
- updated README.SuSE
* Wed Nov 21 2001 - grimmer@suse.de
- added check for "socket=" variable in function "parse_arguments"
  in the mysql init script (thanks to Aivo Kalu and Peter Marschall
  for spotting this) - the init script would issue a "failed"
  notice, if the socket variable had been changed to a different
  path than /var/lib/mysql/mysql.sock in /etc/my.cnf even though
  the MySQL daemon would be up and running [#12411]
* Thu Nov 15 2001 - grimmer@suse.de
- Update to 3.23.44 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.43.html
  http://www.mysql.com/doc/N/e/News-3.23.44.html
- added "-felide-constructors -fno-exceptions -fno-rtti" to
  CXXFLAGS in spec file (thanks to Monty Widenius for pointing
  this out)
- Updated manual.pdf
- disabled inline patch (not required anymore)
- Install /etc/mysqlaccess.conf with permissions set to "640"
  instead of "755" [#10871]
* Mon Oct 01 2001 - schwab@suse.de
- Add patch to allow compilation even if the compiler decides to
  not actually inline the two largest inline functions,
  page_dir_slot_check() and btr_search_check_guess().
- Don't run automake, fix the extra dependency instead.
* Mon Sep 17 2001 - grimmer@suse.de
- Update to 3.23.42 (bugfixes) - the following bugs were fixed:
  * Fixed problem when using LOCK TABLES and BDB tables.
  * Fixed problem with REPAIR TABLE on MyISAM tables with row
  lengths between 65517 - 65520 bytes
  * Fixed rare hang when doing mysqladmin shutdown when there
  was a lot of activity in other threads.
  * Fixed problem with INSERT DELAYED where delay thread could
  be hanging on upgrading locks without any apparent reasons.
  * Fixed problem with myisampack and BLOB.
  * Fixes problem when one edited .MRG tables by hand. (Patch
  from Benjamin Pflugmann).
  * Enforce that all tables in a MERGE table come from the same
  database.
  * Fixed bug with LOAD DATA INFILE and transactional tables.
  * Fix bug when using INSERT DELAYED with wrong column definition.
  * Fixed coredump during REPAIR of some particularly broken tables.
  * Fixed bug in InnoDB and AUTO_INCREMENT columns.
  * Fixed bug in InnoDB and RENAME TABLE columns.
  * Fixed critical bug in InnoDB and BLOB columns. If one has used
  BLOB columns larger than 8000 bytes in an InnoDB table, one
  must dump the table with mysqldump, drop it and restore it
  from the dump.
  * Applied large patch for OS/2 from Yuri Dario.
  * Fixed problem with InnoDB when one could get the error
  Can't execute the given command... even when one didn't have
  an active transaction.
  * Applied some minor fixes that concern Gemini.
  * Use real arithmetic operations even in integer context if not
  all arguments are integers. (Fixes uncommon bug in some integer
  contexts).
  * Don't force everything to lower cases on Windows. (To fix
  problem with Windows and ALTER TABLE). Now --lower_case_names
  also works on Unix.
  * Fixed that automatic rollback that is done when thread end
  doesn't lock other threads.
* Tue Aug 14 2001 - grimmer@suse.de
- Update to 3.23.41 (bugfixes, see the changelog at
  http://www.mysql.com/doc/N/e/News-3.23.41.html for details)
* Mon Jul 30 2001 - grimmer@suse.de
- Update to 3.23.40 (see the changelogs at
  http://www.mysql.com/doc/N/e/News-3.23.x.html for details)
- spec file: added mysql-Max subpackage that includes all the
  new bells and whistles (BerkeleyDB, InnoDB)
- spec file: added "--with-libwrap" compile option to enable
  TCP wrapper support
- spec file: reworked the build and install section to ease
  the creation of mysqld-max
- rc.mysql: fixed two (trivial) typos
- rc.mysql: make sure to test for mysqld-max as well before
  trying to start up
- spec file: moved "replace" and "perror" binaries incl.
  man pages to the mysql-client package
- spec file: corrected URLs
- manual.pdf: update to current version
- README.SuSE: updated to document the above changes
* Fri May 04 2001 - grimmer@suse.de
- Fixed a nasty bug when updating after the database files
  have been copied to the new location, but the old ones have
  not been removed (#7692) - thanks to Jochen Schulz
  <jschulz1@gwdg.de> for spotting this one.
* Sat Apr 28 2001 - grimmer@suse.de
- Update to 3.23.37 (bugfixes, see
  http://www.mysql.com/doc/N/e/News-3.23.37.html for full
  changelog)
- fixed init script, now start MySQL using the wrapper script
  "safe_mysqld" instead of mysqld again (logging did not work),
  fixes for bug [#6876] and [#6840]
- we currently do not enable MySQL-Max, since it is still
  considered beta (http://www.mysql.com/downloads/mysql-max-3.23.html)
* Thu Apr 12 2001 - grimmer@suse.de
- Update to 3.23.36 (bugfix and security release)
  full Changelogs for Changes between 3.23.33 and 3.23.36 are here:
  http://www.mysql.com/doc/N/e/News-3.23.36.html
  http://www.mysql.com/doc/N/e/News-3.23.35.html
  http://www.mysql.com/doc/N/e/News-3.23.34.html
- reworked init script
- added more man pages to file list
- reworked README.SuSE
- added automated testing to spec file
* Thu Mar 08 2001 - grimmer@suse.de
- Update to 3.23.33 (bugfix release, see
  http://www.mysql.com/doc/N/e/News-3.23.33.html for a complete
  list of changes)
- updated manual.pdf
- fixed init script (#6044, "failed" on startup on a 2.4 kernel)
  beautified init script output a bit, changed "reload" argument
  to "force-reload" and added separate "reload" section
- added some comments about replication and BerkeleyDB code to
  README.SuSE
- marked init script as config file in spec file
* Tue Jan 23 2001 - grimmer@suse.de
- Update to 3.23.32 - stable release including security fixes
  for the SHOW GRANTS statement and a remote buffer overflow
  (Bugtraq ID 2262)
- updated manual.pdf
- added some missing files to the file list
- added --without-berkeley-db to the configure options
  (according to the release notes, Berkeley DB support and
  replication have not been exhaustively tested yet)
* Wed Jan 10 2001 - grimmer@suse.de
- Update to 3.23.30-gamma (bugfix-release)
- added manual.pdf as a separate file
- removed verbosity flag from cp-command in preinstall section
* Fri Dec 22 2000 - grimmer@suse.de
- fixed initial startup in init script (correct ownerships of
  the mysql datadir before starting mysqld using "chown")
- added different mysql sample configurations to directory "cnf"
  in the documentation directory
- use my-medium.cnf as default configuration /etc/my.cnf
* Mon Dec 18 2000 - grimmer@suse.de
- fixed packaging of mysql-bench (file list was empty)
* Fri Dec 15 2000 - grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start,
  check if /usr/sbin/mysqld exists)
- README.SuSE updates
* Fri Dec 01 2000 - ro@suse.de
- added static libs to devel package
* Mon Nov 27 2000 - grimmer@suse.de
- update to 3.23.28-gamma (considered stable enough by Monty)
- added --with-extra-charsets=complex
- database files are now located below /var/lib/mysql
- do not use --with-raid or --with-berkeley-db yet
- adapted to new init scheme (new init script, removed symlinks,
  moved init script from /sbin/init.d -> /etc/init.d)
- moved socket from /tmp/mysql.sock to /var/lib/mysql/mysql.sock
- removed AGREEMENT since mysql is GPL now
- removed README.SuSE, rc.config.mysql and rc.mysql from patch
  and added them as additional source files instead
* Fri Nov 10 2000 - grimmer@suse.de
- added a symlink /usr/lib/mysql/libmysqlclient.so ->
  ../libmysqlclient.so.6.0.0 to make libtool happy
* Mon Nov 06 2000 - grimmer@suse.de
- fixed Requires: for mysql-bench (mysql-perl -> perl-Msql-Mysql-modules)
* Thu Nov 02 2000 - grimmer@suse.de
- switched to long package names:
  mysqclnt -> mysql-client
  mysqldev -> mysql-devel
  mysqbnch -> mysql-bench
  mysqllib -> mysql-shared
- removed subpackage mysqperl from mysql.spec and created
  separate packages (perl-Msql-Mysql-modules and perl-Data-ShowTable)
- finally use BuildRoot
- updated README.SuSE to reflect changes
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Fri Jul 21 2000 - grimmer@suse.de
- corrected removal of comment - bash does not like
  empty if-statements...
* Thu Jul 13 2000 - grimmer@suse.de
- added missing "-" to parameter "hostname --fqdn" in
  scripts/mysql_install_db.sh (BUG#3383)
- removed comment from scripts/mysql_install_db.sh about
  needing to install an init script, since we supply this already
* Wed Jul 05 2000 - grimmer@suse.de
- removed DBI perl module from subpackage mysqperl (is in a
  separate package "perl_dbi" now) and adjusted file list
  (BUG#3173)
* Wed May 24 2000 - uli@suse.de
- moved docs to /usr/share
* Fri May 05 2000 - freitag@suse.de
- Security change requested by a feedback mail - sets initially
  a full qualified hostname and notifies the user to change the
  two root passwords and not only one.
- added autoconf and automake to neededforbuild
- added --host=%%{_host} to configure call due to suspicious libtool
  probs
- /usr/doc/packages replaced by %%{_defaultdocdir}
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Wed Feb 23 2000 - grimmer@suse.de
- Update to 3.22.32
- created subpackage "mysqllib" which contains shared libs only
- created subpackage "mysqperl" which contains the perl modules
- removed obsolete security patch (is included in new version)
- update now checks for existing database files and chowns them
  to "mysql" itself, if they still belong to "root" - specfile
  and init script modified
- removed SuSE Linux version from AGREEMENT
- updated README.SuSE to reflect changes
* Fri Feb 11 2000 - grimmer@suse.de
- added security patch from monty@tcx.se (password authentication)
* Thu Jan 13 2000 - grimmer@suse.de
- update to 3.22.30 (security fix for GRANT privileges)
- now uses version macro in spec file
* Fri Jan 07 2000 - grimmer@suse.de
- update to 3.22.29
- updated Msql-Mysql-modules to 1.2210 and removed obsolete patch
- changed RPM Group of mysqldev to Development/Libraries
- corrected paths in mysqlaccess
* Thu Oct 28 1999 - grimmer@suse.de
- update to 3.22.27
- updated Msql-Mysql-modules to 1.2209
- fixed check for ownership of installed db in specfile
* Mon Oct 25 1999 - grimmer@suse.de
- update to 3.22.26a
- now runs as user "mysql" (resolved Bug #371)
- now uses /etc/my.cnf
- updated perl-modules (DBI, Msql-Mysql-modules)
- moved long names from PAC-file to specfile (Provides:)
- misc minor corrections/updates (specfile, init-script...)
* Mon Aug 30 1999 - grimmer@suse.de
- added bugfix for Alpha (TEXT and BLOB were broken)
- modified configure-call in spec
- added long aliases to PAC-files
* Tue Jul 13 1999 - grimmer@suse.de
- update to 3.22.25
- updated perl-modules (DBI, Msql-Mysql-modules)
- moved libs (mysqlclient.so et al) from /usr/lib/mysql to /usr/lib
- minor corrections (README.SuSE, init-Script)
* Thu May 20 1999 - ro@suse.de
- activate assembler parts only on x86
* Wed Apr 28 1999 - grimmer@suse.de
- added missing perl module (Mysql.pm)
- added missing perl package (Data-Showtable)
* Tue Apr 06 1999 - ro@suse.de
- update to 3.22.21
- split into subpackages (mysql, mysqclnt, mysqldev, mysqbnch)
- re-added perl-modules
- updated init-Script
- /etc/mysql.passwd is now obsolete
* Fri Dec 11 1998 - grimmer@suse.de
- updated init-Script
* Sun Nov 29 1998 - bs@suse.de
- fixed pathes for perl modules.
- remove symlinks before creating them.
* Fri Nov 27 1998 - ro@suse.de
- adapted paths to old perl
- this version should not have been in stable
* Tue Nov 24 1998 - grimmer@suse.de
- added /usr/doc/packages/AGREEMENT
* Tue Nov 17 1998 - ro@suse.de
- adapted paths to perl5.005_02
* Wed Nov 11 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Nov 09 1998 - grimmer@suse.de
- New Package (Version 3.21.33b)
